Herqq

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# HServiceSetup Class Reference
Device Model

This class is used to specify information that can be used to validate a UPnP service. More...

`#include <HServiceSetup>`

List of all members.

## Public Member Functions
| HServiceSetup ()
| HServiceSetup (const HServiceId &id, const HResourceType &serviceType, HInclusionRequirement incReq=InclusionMandatory)
| HServiceSetup (const HServiceId &id, const HResourceType &serviceType, int version, HInclusionRequirement incReq=InclusionMandatory)
HServiceSetup & | operator= (const HServiceSetup &)
| HServiceSetup (const HServiceSetup &)
| ~HServiceSetup ()
HInclusionRequirement | inclusionRequirement () const
bool | isValid (HValidityCheckLevel checkLevel) const
const HServiceId & | serviceId () const
const HResourceType & | serviceType () const
int | version () const
void | setInclusionRequirement (HInclusionRequirement arg)
void | setServiceId (const HServiceId &arg)
void | setServiceType (const HResourceType &arg)
void | setVersion (int version)
## Related Functions
(Note that these are not member functions.)
H_UPNP_CORE_EXPORT bool | operator== (const HServiceSetup &, const HServiceSetup &)
bool | operator!= (const HServiceSetup &obj1, const HServiceSetup &obj2)

## Detailed Description

This class is used to specify information that can be used to validate a UPnP service.

See also:
  HServicesSetupData, HClientService, HServerService

Remarks:
  This class is not thread-safe.

## Constructor & Destructor Documentation

HServiceSetup | ( |  | ) |

Creates a new, invalid instance.

See also:
  isValid()

HServiceSetup | ( | const HServiceId & | id,
|  | const HResourceType & | serviceType,
|  | HInclusionRequirement | incReq = `InclusionMandatory`
| ) |  |

Creates a new instance.

Parameters:

  id | specifies the service ID.
  serviceType | specifies the service type.
  incReq | specifies the inclusion requirement of the service.

See also:
  isValid()

Remarks:
  the version() is set to 1.

HServiceSetup | ( | const HServiceId & | id,
|  | const HResourceType & | serviceType,
|  | int | version,
|  | HInclusionRequirement | incReq = `InclusionMandatory`
| ) |  |

Creates a new instance.

Parameters:

  id | specifies the service ID.
  serviceType | specifies the service type.
  version | specifies the version of the UPnP device, which first specified the service.
  incReq | specifies the inclusion requirement of the service.

See also:
  isValid()

HServiceSetup | ( | const HServiceSetup & | other | ) |

Copy constructor.

Creates a copy of other.

~HServiceSetup | ( |  | ) |

Destroys the instance.

## Member Function Documentation

HServiceSetup & operator= | ( | const HServiceSetup & | other | ) |

Assignment operator.

Copies the contents of other to this.

HInclusionRequirement inclusionRequirement | ( |  | ) | const

Returns the inclusion requirement.

Returns:
  The inclusion requirement.

See also:
  setInclusionRequirement()

bool isValid | ( | HValidityCheckLevel | checkLevel | ) | const

Indicates if the object is valid.

Parameters:

  checkLevel | specifies whether the validity of the object should be checked strictly according to the UDA specification.

Returns:
  true in case the object is valid, that is, the service ID, service type, version and inclusion requirement are all properly defined in respect to the specified `checkLevel`.

const HServiceId & serviceId | ( |  | ) | const

Returns the service ID.

Returns:
  The service ID.

See also:
  setServiceId()

const HResourceType & serviceType | ( |  | ) | const

Returns the service type.

Returns:
  The service type.

See also:
  setServiceType()

int version | ( |  | ) | const

Returns the version of the UPnP device, which first specified the service.

Returns:
  The version of the UPnP device, which first specified the service.

See also:
  setVersion()

void setInclusionRequirement | ( | HInclusionRequirement | arg | ) |

Sets the the inclusion requirement.

Parameters:

  arg | specifies the inclusion requirement.

See also:
  inclusionRequirement()

void setServiceId | ( | const HServiceId & | arg | ) |

Sets the service ID.

Parameters:

  arg | specifies the service ID.

See also:
  serviceId()

void setServiceType | ( | const HResourceType & | arg | ) |

Sets the service type.

Parameters:

  arg | specifies the service type.

See also:
  serviceType()

void setVersion | ( | int | version | ) |

Sets the version of the UPnP device, which first specified the service.

Parameters:

  version | defines the version of the UPnP device, which first specifies the service.

See also:
  version()

## Friends And Related Function Documentation

H_UPNP_CORE_EXPORT bool operator== | ( | const HServiceSetup & | ,
|  | const HServiceSetup & |
| ) |  | `[related]`

Compares the two objects for equality.

Returns:
  true in case the provided objects are equal, false otherwise.

bool operator!= | ( | const HServiceSetup & | obj1,
|  | const HServiceSetup & | obj2
| ) |  | `[related]`

Compares the two objects for inequality.

Returns:
  true in case the provided objects are not equal, false otherwise.